Evitando problemas entre o yum update e o whm/cpanel

Standard

Uma coisa muito comum é que as pessoas instalam o yum em servidores CentOs/RedHat 4 com whm/cpanel e mandam um belo update, fazendo isto seu sistema irá atualizar todos os recursos possíveis visando segurança/estabilidade, entretanto, ativando esta update você estará aniquilando com compatibilidades entre whm/cpanel e seu S.O.

Para evitar isto em seu sistema acesse:

vim /etc/yum.conf

(eu uso vim por que gosto, mas use pico, emacs, elvis, vi, nano e etc)

Dentro dele deixe mais ou menos assim (depois de main):

exclude=apache* bind-chroot courier* dovecot* exim* httpd* mod_ssl* mysql* nsd* perl* php* proftpd* pure-ftpd* ruby* spamassassin* squirrelmail*

Isso irá garantir que tais recursos nÃo sejam atualizados pelo yum, sendo assim, quando o cpanel buscar as updates nos repositórios oficiais dele não haverá conflito ou pacotes já atualizados (patcheados) de maneira contrária ao recomendado.

Abraçoooos!

God Bless!

Resolvendo problemas com iframe infectado

Standard

Um exemplo prático para resolver problemas com iframes lascados por spammers e crackers pode ser analisada da seguinte maneira:

find /home/*/public_html -name “*.php” -exec sed -i ‘s/<iframe src=\\”http:\/\/google-ana1yticz.com.*<\/\iframe>//g’ {} \; -print